| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bzfft.cpp File Reference

Disk-based z-line transforms for big reconstructions. More...

`#include "rwmg.h"`
`#include "mg_tomo_rec.h"`
`#include "file_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Disk-based z-line transforms for big reconstructions.

Author
  Bernard Heymann

Date
  Created: 20051221
  Modified: 20110804

Definition in file bzfft.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 43 of file bzfft.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bzfft [options] input.img/input.star [input2.img/input2.star...]",
"-----------------------------------------------------------------------",
"Assembles slabs and back-transform z-lines for tomogram reconstruction.",
" ",
"Actions:",
"-ytile 50,25 Tile start and size along y dimension (default 0 and y size).",
"-rescale -0.1,5.2 Rescale data to average and standard deviation.",
"-truncate -0.5,1.2 Truncate data to minimum and maximum after rescaling.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling of input images (A/pixel; a single value can be given).",
" ",
"Output:",
"-output new.star Output parameter file name.",
"-reconstruction new.map Output image file name.",
" ",
NULL
}

Definition at line 20 of file bzfft.cpp.

## ◆ verbose

int verbose